% script_sims_rates_graph_revision.m.
% Makes plots of interest rates
% for unexpected shocks of sims model

% uses flag expected for the expected shock case
figure;
box on
%plot(t,[[rt at rhot pit]]/max(em,etau),'linewidth',2);

hold on
if bw_plots;
    plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[ ct]/max(abs(em),abs(etau))],'color',gray1,'linewidth',2);
    plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[ rt]/max(abs(em),abs(etau))],'--k','linewidth',2);
    plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[pit ]/max(abs(em),abs(etau))],'-k','linewidth',2);

    plot(t(1:1/dt:end),[ct(1:1/dt:end)]/max(abs(em),abs(etau)),'s','color',gray1,'linewidth',2);
   % plot(t(1:1/dt:end),[rt(1:1/dt:end)]/max(abs(em),abs(etau)),'v','color','k','linewidth',2);
   % plot(t(1:1/dt:end),[pit(1:1/dt:end)]/max(abs(em),abs(etau)),'o','color','k','linewidth',2);
    
    plot(t,0*t,'-k');
else;
    plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[ ct]/max(abs(em),abs(etau))],'-k','linewidth',2);
    plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[ rt]/max(abs(em),abs(etau))],'--b','linewidth',2);
    plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[pit ]/max(abs(em),abs(etau))],'-r','linewidth',2);
    
    colorvec = get(gcf,'defaultaxescolororder');
    plot(t(1:1/dt:end),[rt(1:1/dt:end)]/max(abs(em),abs(etau)),'v','color','b','linewidth',2);
    plot(t(1:1/dt:end),[pit(1:1/dt:end)]/max(abs(em),abs(etau)),'o','color','r','linewidth',2);
    plot(t(1:1/dt:end),[ct(1:1/dt:end)]/max(abs(em),abs(etau)),'s','color','k','linewidth',2);
    
    plot(t,0*t,'-k');
end;
ylabel('Percent');
%legend('Nominal rate', 'Bond yield' ,'Real rate' ,'Inflation \pi');
%legend('Nominal rate r', 'Inflation \pi');
xlabel('Time')
